// SPDX-License-Identifier: MIT

pub struct SideMenu {
    pub href_path: &'static str,
    pub text: &'static str,
    pub icon_path: &'static str,
    pub description: &'static str,
}

pub fn side_menu_list() -> Vec<SideMenu> {
    let side_menu = vec![
        SideMenu {
            href_path: "./top",
            text: "トップページ",
            icon_path: "",
            description: "",
        },
        SideMenu {
            href_path: "./wwan",
            text: "WWAN設定",
            icon_path: "../static/wwan/images/icon_wwan.png",
            description: "WWAN通信で接続するための設定が行えます。",
        },
        SideMenu {
            href_path: "./wlan",
            text: "WLAN設定",
            icon_path: "../static/wlan/images/icon_wlan.png",
            description: "WLANで接続するための設定が行えます。",
        },
        SideMenu {
            href_path: "./connection",
            text: "各接続設定",
            icon_path: "../static/connection/images/icon_connection.png",
            description: "LAN等で接続するための設定が行えます。",
        },
        SideMenu {
            href_path: "./dhcp",
            text: "DHCPサーバー設定",
            icon_path: "../static/dhcp/images/icon_dhcp.png",
            description: "DHCPサーバーの設定が行えます。",
        },
        SideMenu {
            href_path: "./nat",
            text: "NAT設定",
            icon_path: "../static/nat/images/icon_nat.png",
            description: "NATの設定が行えます。",
        },
        SideMenu {
            href_path: "./vpn",
            text: "VPN設定",
            icon_path: "../static/vpn/images/icon_vpn.png",
            description: "VPNの設定が行えます。",
        },
        SideMenu {
            href_path: "./container",
            text: "コンテナ管理",
            icon_path: "../static/container/images/icon_container.png",
            description: "コンテナの管理が行なえます。",
        },
        SideMenu {
            href_path: "./swu",
            text: "SWUインストール",
            icon_path: "../static/swu/images/icon_swu.png",
            description: "SWUファイルをインストールすることができます。",
        },
        SideMenu {
            href_path: "./status",
            text: "状態一覧",
            icon_path: "../static/status/images/icon_status.png",
            description: "現在の状態の確認が行えます。",
        },
        SideMenu {
            href_path: "./logout",
            text: "ログアウト",
            icon_path: "",
            description: "",
        },
    ];
    side_menu
}
